﻿<%@ Page Title="Sunrise internal phonenumber usage" Language="C#" MasterPageFile="~/mainMaster.Master" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="SYNC_Telephony._default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <script type="text/javascript">
        ej.Grid.Locale["de-DE"] = {
            SaveButton: "Save",
            CancelButton: "Cancel"
        }
    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
        <asp:UpdatePanel runat="server">
        <ContentTemplate>
    <div class="divGridsContainer">
        <div id="mainTable" class="divMainGrid">
            <ej:Grid ID="mainGrid" ClientIDMode="Static" AllowSorting="true" AllowScrolling="True" AllowFiltering="False" AllowTextWrap="True" 
                AllowPaging="true" AllowSearching="true" AllowResizing="true" EnableRowHover="False" OnServerExcelExporting="mainGrid_ServerExcelExporting"
                OnServerEditRow="mainGrid_ServerEditRow"  IsResponsive="true" ShowDeleteConfirmDialog="true" AllowResizeToFit="true" runat="server">
                <DataManager Adaptor="WebApiAdaptor"  Offline="true" URL="api/main1" />
                <Columns>
                    <ej:Column Field="PHONENUMBER" HeaderText="PHONENUMBER" IsPrimaryKey="True" TextAlign="Right" Width="100">
                    </ej:Column>
                    <ej:Column Field="PNR_TYP" HeaderText="PNR_TYP" TextAlign="Right" IsPrimaryKey="True" EditType="Dropdown" Width="50">
                    </ej:Column>
                    <ej:Column Field="PNR_STATE" HeaderText="PNR_STATE" TextAlign="Right" IsPrimaryKey="True" EditType="Dropdown" Width="80">
                    </ej:Column>
                    <ej:Column Field="PNR_GROUP" HeaderText="PNR_GROUP_RANGE_TITLE" IsPrimaryKey="True" Width="80">
                    </ej:Column>
                    <ej:Column Field="PNR_GROUP_RANGE" HeaderText="PNR_GROUP_RANGE_TITLE" IsPrimaryKey="True" Width="80">
                    </ej:Column>
                    <ej:Column Field="PNR_GROUP_RANGE_TITLE" HeaderText="PNR_GROUP_RANGE_TITLE" IsPrimaryKey="True" Width="80">
                    </ej:Column>
                    <ej:Column Field="COUPLED_PHONENUMBER" HeaderText="COUPLED_PHONENUMBER" IsPrimaryKey="True" Width="100">
                    </ej:Column>
                    <ej:Column Field="MANUAL_RESERVED_STATE" HeaderText="MANUAL_RESERVED_STATE" EditType="Dropdown" Width="50">
                    </ej:Column>
                    <ej:Column Field="MANUAL_RESERVED_END" HeaderText="MANUAL_RESERVED_END" Format="{0:MM/dd/yyyy}" EditType="DateTimePicker" Width="100">
                    </ej:Column>
                    <ej:Column Field="MANUAL_RESERVED_TITLE" HeaderText="MANUAL_RESERVED_TITLE" Width="150">
                    </ej:Column>
                    <ej:Column Field="USER_TITLE" HeaderText="USER_TITLE" IsPrimaryKey="True" Width="100">
                    </ej:Column>
                    <ej:Column Field="USER_DESCRIPTION" HeaderText="USER_DESCRIPTION" IsPrimaryKey="True" Width="150">
                    </ej:Column>
                    <ej:Column Field="USER_GO_MA_ID" HeaderText="USER_GO_MA_ID" IsPrimaryKey="True" Width="80">
                    </ej:Column>
                    <ej:Column Field="USER_SOURCE_SYS_TITLE" HeaderText="USER_SOURCE_SYS_TITLE" IsPrimaryKey="True" Width="100">
                    </ej:Column>
                </Columns>
                <ClientSideEvents ToolbarClick="onToolBarClick"  Load="onLoad" />
<%--                <ClientSideEvents ToolbarClick="onToolBarClick" />--%>
                <ScrollSettings Height="660" Width="auto" />
                <ToolbarSettings ShowToolbar="True" ToolbarItems="search,excelExport,edit,cancel"></ToolbarSettings>
                <SearchSettings Fields="PHONENUMBER,COUPLED_PHONENUMBER,USER_TITLE,USER_DESCRIPTION,USER_GO_MA_ID,USER_SOURCE_SYS_TITLE,MANUAL_RESERVED_TITLE,PNR_STATE" />
                <PageSettings PageSize="18" />
                <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#manual_reservation_template"></EditSettings>
                <SelectionSettings EnableToggle="true" />
                <FilterSettings FilterBarMode="Immediate" ShowFilterBarStatus="True" StatusBarWidth="300" FilterType="FilterBar"></FilterSettings>
            </ej:Grid>
        </div>
    </div>
            </ContentTemplate>
        <Triggers>
            <asp:PostBackTrigger ControlID="mainGrid" />
        </Triggers>
    </asp:UpdatePanel>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/template" id="manual_reservation_template">
        <b>Reservation</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">PhoneNumber</td>
                <td style="text-align: left">
                    <input id="PHONENUMBER" name="PHONENUMBER" value="{{:PHONENUMBER}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">Manual reserved state</td>
                <td style="text-align: left">
                    <select id="MANUAL_RESERVED_STATE" name="MANUAL_RESERVED_STATE">
                        <option value="Y">Yes</option>
                        <option value="N">No</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">Manual reserved titel</td>
                <td style="text-align: left">
                    <input id="MANUAL_RESERVED_TITLE" name="MANUAL_RESERVED_TITLE" value="{{:MANUAL_RESERVED_TITLE}}" class="e-field e-ejinputtext valid" style="width: 300px; height: 28px" />
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">User Titel</td>
                <td style="text-align: left">
                    <input id="USER_TITLE" name="USER_TITLE" value="{{:USER_TITLE}}" class="e-field e-ejinputtext valid" style="width: 300px; height: 28px" />
                </td>
            </tr>

        </table>
    </script>

    <script type="text/javascript">
        $(function () {
        });
        $(document).on("keydown", function (e) {
            if (e.altKey && e.keyCode === 74) {
                $("#mainGrid").focus();
            }
        });
    </script>

    <script> 
        function onLoad(args) { 
            this.ignoreOnExport.splice(this.ignoreOnExport.indexOf('dataSource'), 1); 
        } 
    </script> 
</asp:Content>





